Bug 41389 - OS crashesadn corrupts drive on logout of IBM A21p laptop with ATI Mobility AGP video
OS crashesadn corrupts drive on logout of IBM A21p laptop with ATI Mobility A...
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-05-19 14:19 EDT by Richard Snavely
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-25 09:48:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Richard Snavely 2001-05-19 14:19:04 EDT
Description of Problem:
OS crashes on logout. file system corrupted requiring OS re-install. I am told this might be a problem with the ATI Mobility AGP video
card in my IBM A21p laptop where the OS is installed. Have tried non GUI log out via cont-alt-f2 and then a shutdown -h now   command
in root but even that will crash.

How Reproducible: every time

Steps to Reproduce:
1. install linux
2. boot linux 
3. logout and crash linux

Actual Results:

Expected Results:

Additional Information: have been told by RH techs that this might be a video card issue with xfree or xwindows
impossible for me to tell exactly what is happening to what when crashing and corupting the file sys.
Comment 1 Mike A. Harris 2001-05-20 01:44:14 EDT
If your filesystem is totally irrecoverable, then it most likely is more
than one problem.  I'm willing to bet however that the filesystem is not
totally corrupt.  You haven't given any details whatsoever to go on however
so there is no way to help you.  At a minimum I need to know all of your
hardware details, a copy of your X config files, and your X server logs
to examine the problem.  Before that though I recommend looking through
our hardware compatibility list to ensure your machine has supported
hardware to begin with.  If you are getting dumped into rescue mode at boot
time due to filesystem inconsistencies, that does not mean your disk is toast,
it means you need to run e2fsck to repair the filesystem.  Our technical
support, or mailing lists can assist you in how to do this correctly rather
than reinstalling the whole OS each time.

Please attach the requested files uncompressed using the file attachment
link below.
Comment 2 Mike A. Harris 2001-05-25 09:48:36 EDT
Please supply the information requested.

Comment 3 Mike A. Harris 2001-08-13 09:41:38 EDT
Closed due to lack of information.

Note You need to log in before you can comment on or make changes to this bug.